{% extends "application.html" %}
{% block style %}
    <style>
        .modal-dialog {
            min-height: calc(100vh - 60px);
            display: flex;
            flex-direction: column;
            justify-content: center;
            overflow: auto;
        }

        @media (max-width: 768px) {
            .modal-dialog {
                min-height: calc(100vh - 20px);
            }
        }
    </style>
{% endblock %}
{% block content %}
    <div class="container-fluid">
        <h1 class="h3 mb-2 text-gray-800">Đơn thuốc</h1>

        <div class="card shadow mb-4">
            <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold text-primary">Thông tin đơn thuốc</h6>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="table-responsive">
                        <table class="table table-bordered" width="100%" cellspacing="0">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Bác sĩ</th>
                                <th>Thời gian</th>
                                <th>Hành động</th>
                            </tr>
                            </thead>
                            <tbody>
                             {% for item in prescription %}
                                <tr>
                                    <td>{{ loop.index }}</td>
                                    <td>{{ item.doctor.name }}</td>
                                    <td>{{ item.timestamp}}</td>
                                    <td>
                                        <a href="{{ url_for("PatientNotification.edit", id= item.id) }}">Xem chi tiết</a>
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Nội dung tin nhắn</h5>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <span id="modal-display"></span>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-outline-dark" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex justify-content-center">
        {{ pagination.links }}
    </div>
{% endblock %}

{% block script %}
    <script>
        $('[data-toggle="modal"]').on('click', function (e) {
            e.preventDefault();
            var $target = $(e.currentTarget),
                val = $target.attr('data-value'),
                id = $target.attr('data-id'),
                link = $target.attr('data-read');
            $('#modal-display').text(val || '');
            $.ajax({
                url: link,
                type: 'GET'
            }).done(function (result) {
                console.log('id_' + result.data.id);
                $('#id_' + result.data.id).text('Đã xem');
                check_unread_message();
            });
        });
    </script>
{% endblock %}